@charset "UTF-8";
@import url(reset.css);
@font-face {
  font-family: "fira";
  src: url("../fonts/fira/FiraCode-Medium.otf"); }
@font-face {
  font-family: "vre";
  src: url("../fonts/vre/VremenaGroteskMedium.otf"); }
@font-face {
  font-family: "vreB";
  src: url("../fonts/vre/VremenaGroteskBook.otf"); }
html {
  font-size: 16px; }

body {
  display: flex;
  flex-wrap: wrap;
  font-family: sans-serif;
  line-height: 1.2rem;
  font-family: "vre";
  padding: 0 0 6rem 0;
  background-color: #000714;
  color: white;
  /* Chrome, Safari, Opera */ }
  body .rainbow {
    /* Chrome, Safari, Opera */
    -webkit-animation: rainbow 3s infinite;
    /* Internet Explorer */
    -ms-animation: rainbow 3s infinite;
    /* Standar Syntax */
    animation: rainbow 3s infinite; }
@-webkit-keyframes rainbow {
  0% {
    color: #5ff1ff; }
  10% {
    color: pink; }
  20% {
    color: white; }
  30% {
    color: pink; }
  40% {
    color: #f0a3ff; }
  50% {
    color: #66dae1; }
  60% {
    color: #f9ff00; }
  70% {
    color: #aeffa3; }
  80% {
    color: yellow; }
  90% {
    color: pink; }
  100% {
    color: #5ff1ff; } }
  body a:hover {
    color: #f0a3ff; }
  body .hljs-keyword,
  body .hljs-selector-tag,
  body .hljs-built_in,
  body .hljs-name,
  body .hljs-tag {
    color: #66dae1; }
  body .hljs-string,
  body .hljs-title,
  body .hljs-section,
  body .hljs-attribute,
  body .hljs-literal,
  body .hljs-template-tag,
  body .hljs-template-variable,
  body .hljs-type,
  body .hljs-addition {
    color: #f9ff00; }
  body .hljs-comment,
  body .hljs-quote,
  body .hljs-variable {
    color: #aeffa3; }
  body .hljs-deletion,
  body .hljs-selector-attr,
  body .hljs-selector-pseudo,
  body .hljs-meta {
    color: #5ff1ff; }
  body .hljs {
    font-family: "fira";
    margin: 0 0 1rem 0;
    background-color: #141414;
    color: white; }
  body > header {
    padding: 1rem;
    position: fixed;
    width: 17%;
    height: 100vh;
    overflow-y: scroll;
    background-color: #171717; }
    body > header .title {
      margin: 0 0 1rem 0; }
  body nav a {
    display: block; }
  body nav .lang .tips {
    display: none;
    margin: 0.5rem 0 1rem 0;
    font-family: "vreB"; }
    body nav .lang .tips > a {
      display: flex; }
    body nav .lang .tips > a::before {
      content: "×";
      margin: 0 0.5rem 0 0;
      display: inline-block; }
  body nav .lang.open .tips {
    display: block; }

main {
  padding: 1rem 10% 0 20%;
  width: 100%; }
  main .lang {
    padding: 2rem 0 0 0;
    margin: 0 0 1rem 0; }
    main .lang code {
      color: #aeffa3; }
    main .lang pre code:not(.output):before {
      font-size: 10px;
      content: ' in >';
      position: absolute;
      margin-left: -50px;
      color: #555; }
    main .lang pre code.output:before {
      font-size: 10px;
      content: 'out >';
      position: absolute;
      margin-left: -50px;
      color: #555; }
    main .lang p {
      font-family: "vreB"; }
      main .lang p strong {
        font-weight: bold; }
    main .lang h2 {
      font-size: 1.5rem;
      margin: 0 0 1rem 0;
      font-size: 3rem;
      font-family: "vreB";
      border-top: solid 1px white;
      padding-top: inherit; }
    main .lang ul li {
      padding: 0.5rem 0 0 0;
      margin: 0 0 0.5rem 0; }
      main .lang ul li h3 {
        text-decoration: underline;
        margin: 0 0 0.5rem 0; }

/*# sourceMappingURL=main.css.map */
